<!DOCTYPE TESTSET [
	<!ELEMENT TESTSET     (APPLICATION,VERSION,MACHINE,SYSTEM_INFO,START,TESTCASE+,ELAPSED,PASSED,FAILED,ERRORS)>
	<!ATTLIST TESTSET        NAME    CDATA #REQUIRED
	                         TITLE   CDATA #REQUIRED
	                         ISQUICK CDATA #IMPLIED
	                         TYPE    (REGRESSION | STABILITY) #REQUIRED
	                         NTESTS CDATA #REQUIRED>
		<!ELEMENT APPLICATION (#PCDATA)>
		<!ELEMENT VERSION     (#PCDATA)>
		<!ATTLIST VERSION     APP    CDATA #IMPLIED>
		<!ELEMENT SYSTEM_INFO (NETID,HARDWARE?,SOFTWARE)>
			<!ELEMENT NETID       (#PCDATA)>
			<!ELEMENT HARDWARE    (TOTAL_RAM,FREE_RAM,CPU)>
				<!ELEMENT TOTAL_RAM   (#PCDATA)>
				<!ELEMENT FREE_RAM    (#PCDATA)>
				<!ELEMENT CPU         (NUMBER,BRAND,CACHE,FAMILY,MODEL,SPEED,STEPPING)>
					<!ELEMENT NUMBER      (#PCDATA)>
					<!ELEMENT BRAND       (#PCDATA)>
					<!ELEMENT CACHE       (#PCDATA)>
					<!ELEMENT FAMILY      (#PCDATA)>
					<!ELEMENT MODEL       (#PCDATA)>
					<!ELEMENT SPEED       (#PCDATA)>
					<!ELEMENT STEPPING    (#PCDATA)>
			<!ELEMENT SOFTWARE    (OS,WB)>
				<!ELEMENT OS          (NAME,TYPE,VERSION?,SP?,BUILD?)>
					<!ELEMENT TYPE        ("WinNT"|"UNIX")>
					<!ELEMENT NAME        ("Windows NT 4.0"|"Windows 2000"|"Windows XP"|"hp"|"sun")>
					<!ELEMENT VERSION     (#PCDATA)>
					<!ELEMENT SP          (#PCDATA)>
					<!ELEMENT BUILD       (#PCDATA)>
				<!ELEMENT WB          (DLL*,BUILD_DATE,SETUP_DATE?,COMPILE_DATE?,VERSION*)>
					<!ELEMENT DLL         EMPTY>
					<!ATTLIST DLL         NAME    CDATA #REQUIRED
					                      VERSION CDATA #REQUIRED>
					<!ELEMENT BUILD_DATE   (#PCDATA)>
					<!ELEMENT COMPILE_DATE (#PCDATA)>
					<!ELEMENT SETUP_DATE   (#PCDATA)>
		<!ELEMENT MACHINE     (#PCDATA)>
		<!ELEMENT START       (#PCDATA)>
		<!ELEMENT ELAPSED     (#PCDATA)>
		<!ELEMENT PASSED      (#PCDATA)>
		<!ELEMENT FAILED      (#PCDATA)>
		<!ELEMENT ERRORS      (#PCDATA)>
		<!ELEMENT TESTCASE    (WHATEVER*,TESTPATH,WHATEVER*,START,WHATEVER*,SCENARIO+,WHATEVER*,ELAPSED,WHATEVER*,RESULT,WHATEVER*,DUMP*,WHATEVER*)>
			<!ELEMENT TESTPATH    (#PCDATA)>
			<!ELEMENT DUMP        (#PCDATA)>
			<!ELEMENT SCENARIO    (ELAPSED,RESULT)>
			<!ATTLIST SCENARIO        ID     CDATA #REQUIRED
			                          DESC   CDATA #REQUIRED>
]>

